.home-header:nth-child(1){
    text-align: end;
}

.home-header:nth-child(2){
    text-align: center;
}

.banner-text-container{
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 165px;
    margin: 70px 0 100px 0;
}

.banner-text-container img{
    width: 600px;
    height: auto;
    border-radius: 20px;
    
}

.banner-text{
    /* max-width: 460px; */
    padding: 0 40px;
}

.banner-text h2{
    font-size: 55px;
    padding-right: 45px;
    letter-spacing: 0;
}

.banner-section{
    position: relative;
}

.banner-bg{
    position: absolute;
    right: 0;
    top: 0;
    z-index: 1;
    width: 660px;
}

.banner-bg.mobile{
    display: none;
}

.banner-section .container{
    position: relative;
    z-index: 2;
}

.banner-bg{
    position: absolute;
    left: 0;
    top: 0;
    z-index: 1;
    width: 360px;
}

.showcase-filter-container {
    margin-top: 40px;
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
    margin-bottom: 40px;
}
.showcase-filter-btn {
    padding: 10px 40px;
    border: 1px solid #785A4D;
    background: transparent;
    color: #785A4D;
    cursor: pointer;
    font-family: "Figtree", sans-serif;
    font-weight: 300;
    border-radius: 50px;
    font-size: 18px;
    transition: all 0.2s ease-in-out;
}
.showcase-filter-btn.active {
    background: #785A4D;
    color: #fff;
}

.showcase-item.hidden {
    display: none; /* hide when filtered out */
}

.signature-projects-pagination {
    display: flex;
    justify-content: center;
    gap: 10px;
    margin-top: 40px;
    margin-bottom: 40px;
}

.signature-bullet {
    display: inline-block;
    width: 35px;
    height: 2px;
    text-align: center;
    background: #FFFFFF;
    color: #333;
    font-weight: bold;
    cursor: pointer;
    transition: all 0.3s ease;
}

.signature-bullet-active {
    background: #D1A68F;
    color: #fff;
}

.showcase-row{
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.showcase-item{
    width: 100%;
    height: 500px !important;
    border-radius: 20px;
    position: relative;
    overflow: hidden;
}

.showcase-thumb{
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    border-radius: 20px;
}

.showcase-thumb img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    border-radius: 20px;
    transition: all 0.8s ease-in-out;
}

.showcase-content-container{
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background: linear-gradient(180deg, rgba(217, 217, 217, 0.00) 0%, rgba(120, 120, 120, 0.00) 61.54%, rgba(64, 64, 64, 0.74) 72.12%, #0B0B0B 100%);
    border-radius: 20px;
    opacity: 0;
    transition: all 0.2s ease-in-out;
}

.showcase-item:hover .showcase-content-container{
    opacity: 1;
}

.showcase-item:hover .showcase-thumb img{
    scale: 1.04;
}

.showcase-content-box{
    position: absolute;
    bottom: 0;
    width: 100%;
    padding: 60px;
}

.showcase-title{
    color: #fff;
    font-size: 35px;
}
.showcase-title a{
    text-decoration: none;
    color: #fff;
    font-size: 35px;
}
.showcase-link-title{
    text-decoration: none;
}
.showcase-content{
    display: flex;
    align-items: center;
    gap: 30px;
    justify-content: space-between;
}

.showcase-content p{
    color: #F8E3D1;
    max-width: 600px;
    margin-bottom: 0;
}

.showcase-link{
    color: #F8E3D1;
    font-family: Aboreto;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    text-underline-offset: 8px;
    text-decoration: none;
    position: relative;
}

/* Create underline effect */
.showcase-link::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -4px; /* adjust distance from text */
    width: 0;
    height: 1px; 
    box-shadow: 0 1px 0 #F8E3D1; 
    transition: width 0.3s ease-in-out;
    pointer-events: none;
}

/* Hover state: expand underline */
.showcase-link:hover::after {
    width: 100%;
}

.enquire-section{
    padding-bottom: 170px;
    margin-top: 170px;
}

.enquire-section h1{
    margin-bottom: 20px;
}

.enquire-section .pcenter{
    max-width: 500px;
}

.enquire-section .btn1{
    display: block;
    width: fit-content;
    margin: auto;
    margin-top: 40px;
}

.header-title-mobile{
    display: none;
}

.showcase-projects-section.mobile {
    display: none;
}

@media screen and (max-width : 1300px){
    .banner-text-container{
        gap: 40px;
    }

    .banner-text-container img{
        width: 500px;
    }
}

@media screen and (max-width : 1023px){
    .home-header{
        font-size: 50px;
        padding-left: 0px;
    }

    .header-title-desktop{
        display: none;
    }

    .header-title-mobile{
        display: block;
    }

    .banner-text-container{
        flex-direction: column;
    }

    .banner-text-container{
        margin: 40px 0 60px 0;
        gap: 30px;
    }

    .banner-text-container img{
        width: 100%;
    }

    .banner-text{
        padding: 0;
    }

    .banner-text h2{
        font-size: 28px;
        /* padding-right: ; */
    }
}

@media screen and (max-width : 767px){
    .header-title-mobile .home-header{
        text-align: center;
    }

    .banner-text h2{
        padding: 0;
        max-width: 225px;
    }

    .banner-bg.mobile{
        display: block;
        width: 200px;
        top: 200px;
    }
    .banner-bg.desktop{
        display: none;
    }

    .showcase-filter-container{
        gap: 15px;
    }

    .showcase-filter-btn{
        padding: 10px 30px;
    }

    .showcase-projects-section.desktop {
        display: none;
    }
    .showcase-projects-section.mobile {
        display: block;
    }

    .showcase-item{
        height: auto !important;
        border-radius: 0;
    }

    .showcase-thumb{
        width: 100%;
        height: 200px;
        border-radius: 0;
    }

    .showcase-thumb img{
        width: 100%;
        height: 100%;
        border-radius: 0;
    }

    .showcase-content-container{
        position: static;
        background: none;
        opacity: 1;
        padding: 30px 0 30px 0;
    }

    .showcase-content-box{
        position: static;
        padding: 0;
    }

    .showcase-title{
        color: #785A4D;
        font-size: 28px;
        margin-bottom: 20px;
    }

    .showcase-content p{
        color: #553A30;
        max-width: 100%;
        
    }

    .showcase-content{
        flex-direction: column;
        gap: 20px;
        align-items: flex-start;
    }

    .showcase-link{
        color: #785A4D;
    }

    .enquire-section{
        margin-top: 60px;
        padding-bottom: 60px;
    }

    .enquire-section h1{
        max-width: 240px;
        margin: auto;
        letter-spacing: -3.5px;
        margin-bottom: 10px;
    }

    .enquire-section{
        padding-bottom: 80px;
    }


    .enquire-section .btn1{
        margin-top: 20px;
    }

    p.section-subtitle{
        margin-bottom: 5px;
    }
    

    .enquire-section .section-subtitle{
        letter-spacing: 7.2px;
        margin-bottom: 10px;
    }

}